#pragma once
#include "Entity.h"
#define CS_ENEMY_POLISHBABY_CREATENAME L"CS_enemy_polish_baby"
class CS_Enemy_PolishBaby :
    public Entity
{
public:
    CS_Enemy_PolishBaby();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    float vx_set = 0;
    float vy_set = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_PolishBaby();